﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Text.RegularExpressions;

namespace TestApp
{
    class InputCheck
    {
        public bool IsNumeric(string target)
        {
            return (System.Text.RegularExpressions.Regex.IsMatch(target, @"^[0-9]+$"));
        }
        public bool IsAlphanumeric(string target)
        {
            return new Regex("^[0-9a-zA-Z]+$").IsMatch(target);
        }
        public bool IsZenkaku(string target)
        {
            Encoding Enc = Encoding.GetEncoding("Shift-JIS");

            return (Enc.GetByteCount(target) == target.Length * 2);
        }
        public bool IsZenkakuKana(string target)
        {
            return Regex.IsMatch(target, "^[ァ-ヶー]*$");
        }
        public bool IsMailAddr(string target)
        {
            return Regex.IsMatch(target, @"^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}$", RegexOptions.IgnoreCase);
        }
    }
}
